Bug 206281 - [as_IN] Letter "RA" - U+09F0 does not combine with 3 consonants to form the GSUB - Priority - A
[as_IN] Letter "RA" - U+09F0 does not combine with 3 consonants to form the G...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Behdad Esfahbod
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-13 10:09 EDT by Satyabrata Maitra
Modified: 2009-05-21 07:34 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-21 05:59:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for indic-ot-class-table.c (724 bytes, patch)
2006-09-28 14:52 EDT, Rahul Bhalerao
no flags Details | Diff

  None (edit)
Description Satyabrata Maitra 2006-09-13 10:09:27 EDT
Description of problem: In Assamese (as_IN), The gsub mentioned below does not
appear with correct shape. All are three-consonant-conjucts.

Uincode Combinations                 inscript key-sequence phonetic key-sequence

U+09A8 U+09CD U+09A4 U+09CD U+09F0   vdldj                    n/f/r
U+09A8 U+09CD U+09A6 U+09CD U+09F0   vdodj                    n/q/r
U+09AE U+09CD U+09AA U+09CD U+09F0   cdhdj                    m/p/r
U+09AE U+09CD U+09AD U+09CD U+09F0   mdYd                     m/B/r
U+09F0 U+09CD U+09A7 U+09CD U+09AC   jdOdy                    r/Q/b
U+09F0 U+09CD U+09B6 U+09CD U+09AC   jdMdy                    r/x/b
U+09B7 U+09CD U+099F U+09CD U+09F0   <d'dj                    S/T/r
U+09b7 U+09CD U+09AA U+09CD U+09F0   <dhdj                    S/p/r
U+09B8 U+09CD U+09A4 U+09CD U+09F0   mdldj                    s/f/r
U+09F0 U+09CD U+09AF U+09CD U+09AF   jd?d?                    r/Z/Z
U+09F0 U+09CD U+09AC U+09CD U+09AC   jdydy                    r/b/b


Version-Release number of selected component (if applicable):
fonts-bengali-2.0.1-1

How reproducible:
Always

Steps to Reproduce:
1. Open gedit
2. Activate SCIM and select assamese inscript or phonetic layout
3. Type the key sequence given above.
4. Observe the result. OR
   Select RAWCODE from SCIM Table. Type the unicode combination given for each.

  
Actual results:
Unicode U+09F0 is not making conjunct with any consonants and not showing the
correct shape.

Expected results:
It should show the correct shape.

Additional info:
Comment 1 Lawrence Lim 2006-09-13 22:53:09 EDT
Increasing the severity of the bug as this is a must have feature for the locale.
Comment 3 Rahul Bhalerao 2006-09-28 14:38:53 EDT
Font for bn_IN is used for as_IN as well. The font has the GSUB rule required
for vattu form of as_IN letter RA(u09F0).  bn_IN letter RA(u09B0) works well in
its vattu and reph forms. Pango declares u09B0 as '_rv' and u09F0 as 'ct'. Thus
this is a Pango bug. I am changing the comoponant of the bug.
Comment 4 Rahul Bhalerao 2006-09-28 14:52:16 EDT
Created attachment 137331 [details]
Patch for indic-ot-class-table.c

The patch changes the property bit of U09F0 from 'ct' to 'rv'
Comment 5 Leon Ho 2006-09-28 20:50:48 EDT
The patch is at upstream as well: http://bugzilla.gnome.org/show_bug.cgi?id=358174
Comment 6 Leon Ho 2006-09-28 20:53:38 EDT
Thanks for the patch, Rahul, move to Behdad to review and build it into pango.
Comment 9 Amitakhya Phukan 2007-05-18 07:26:43 EDT
The present version of Fedora has these bugs solved. I am presently having
Fedora 7 rawhide and the renderings are perfect. Also RHEL5 has these problems
resolved.
Comment 10 XinSun 2009-05-21 07:34:26 EDT
In line:  U+09AE U+09CD U+09AD U+09CD U+09F0   mdYd   m/B/r
When you input mdYd using as_IN inscript, you will not get the correct result.So please change to input "cdYdj", this will be ok.

Note You need to log in before you can comment on or make changes to this bug.